Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents.fonts
Class CompositeFont

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.contents.fonts.Font
              org.pdfclown.documents.contents.fonts.CompositeFont

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

Direct Known Subclasses:
  Type0Font, Type2Font

    @PDF(value=PDF12)
    public abstract class CompositeFont

extends Font

Composite font, also called Type 0 font [PDF:1.6:5.6].

Do not confuse it with `Type 0 CIDFont`: the latter is a composite font descendant describing glyphs based on Adobe Type 1 font format.

Since:
  0.0.8
Version:
  0.1.2, 12/21/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary

Nested classes/interfaces inherited from class org.pdfclown.documents.contents.fonts.Font
`Font.FlagsEnum`

Field Summary

Fields inherited from class org.pdfclown.documents.contents.fonts.Font
`codes, defaultGlyphWidth, glyphIndexes, glyphKernings, glyphWidths, symbolic, usedCodes`

Constructor Summary
`protected` | `CompositeFont(Document context, org.pdfclown.documents.contents.fonts.OpenFontParser parser)`
`protected` | `CompositeFont(PdfDirectObject baseObject)`

Method Summary
`static CompositeFont` | `get(Document context, IInputStream fontData)`
`protected PdfDictionary` | `getCIDFontDictionary()` Gets the CIDFont dictionary that is the descendant of this composite font.
`protected PdfDictionary` | `getDescriptor()` Gets the font descriptor.
`protected void` | `loadEncoding()`
`protected void` | `onLoad()` Notifies the loading of font information from an existing PDF font structure.

Methods inherited from class org.pdfclown.documents.contents.fonts.Font
`decode, encode, equals, get, get, getAscent, getAscent, getDescent, getDescent, getFlags, getHeight, getHeight, getHeight, getHeight, getKernedWidth, getKerning, getKerning, getKerning, getLineHeight, getLineHeight, getName, getScalingFactor, getWidth, getWidth, getWidth, getWidth, hashCode, isSymbolic, load, wrap`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, clone, delete, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompositeFont

    protected CompositeFont(Document context,
                            org.pdfclown.documents.contents.fonts.OpenFontParser parser)

### CompositeFont

    protected CompositeFont(PdfDirectObject baseObject)

Method Detail

### get

    public static CompositeFont get(Document context,
                                    IInputStream fontData)

### getCIDFontDictionary

    protected PdfDictionary getCIDFontDictionary()

  Gets the CIDFont dictionary that is the descendant of this composite font.

### getDescriptor

    protected PdfDictionary getDescriptor()

  Description copied from class: `Font`
  Gets the font descriptor.

  Specified by:
    `getDescriptor` in class `Font`

### loadEncoding

    protected void loadEncoding()

### onLoad

    protected void onLoad()

  Description copied from class: `Font`
  Notifies the loading of font information from an existing PDF font structure.

  Specified by:
    `onLoad` in class `Font`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.